#pragma once

#include "Color.h"
#include "FontItem.h"

#include <vector>

class TextData
{
public:
    bool operator==(const TextData& rhs) const
    {
       return (mContent == rhs.mContent)
       && (mLines == rhs.mLines)
       && (mFont == rhs.mFont);
    }

    bool operator!=(const TextData& rhs) const
    {
      return !operator==(rhs);
    }


public:
    TextData() = default;
    std::string mContent;
    std::vector<std::string> mLines;
    FontItem mFont;
};
